//
//  BRLoadingView.h
//  NewsApp
//
//  Created by Basheer Malaa on 11/11/13.
//  Copyright (c) 2013 Basheer Malaa. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol BRLoadingViewProtocol;
@interface BRLoadingView : UIView

@property (nonatomic, readonly) UILabel *lblText;
@property (nonatomic, strong) NSString *message;

/*! The default value is YES.
 automatically change the UILabel text color every time the label 
 animates
 */
@property (nonatomic, assign) BOOL changeTextColorRandomly;
- (void)hideLoadingView;
+ (void)hideLoadingView;
+ (void)hideWithMessage:(NSString*)message;

- (id)initWithMessage:(NSString*)msg forView:(UIView*)view;
+ (BRLoadingView*)presentWithMessage:(NSString*)message inView:(UIView*)view;
+ (void)setMessage:(NSString*)message;

@end
