BRLoadingView
=============

Great loading view for iOS, makes your user wait with pleasure looking at the cool animation and beautiful colours. iOS refresh view, loading view, please wait view, awesome loading view.

What Will You Need
===================
- iOS 6 and later.
- ARC 
- UIColor+iOS7Colors category from https://github.com/claaslange/iOS7Colors (all right reserved, included)

Setup
===================
- Copy BRLoading.m and .h files into your project 
- Copy UIColor+iOS7Colors category into your project
- Or, you can copy the folder BRLoadingView which has all the files mentioned above.

How to Use It
==================
- Use class method call

<br><i>1. Showing the view</i>

```objective-c
+ (BRLoadingView*)presentWithMessage:(NSString*)message inView:(UIView*)view;
// message: is the text you want to show while loading (can be changed dynamically)
// view: the view you want to add the loading view on
// returns: instance of BRLoadingView to call instance methods
```
<br><i>2. Hiding the view</i>
```objective-c
+ (void)hideWithMessage:(NSString*)message;
// message: show a finishing message and hide (example: Done!, 100%, Finish)
```
```objective-c
// hide the view immediately
+ (void)hideWithMessage:(NSString*)message;
```

License
==================
Apache License. Basheer Malaa 2013. <br>
https://github.com/BasheerSience/BRLoadingView/blob/master/LICENSE <br>
Enjoy!

